Package: geb.navigator

## [Groovy] Class EmptyNavigator

- geb.navigator.EmptyNavigator

- Implementation of an empty Navigator object - helps keep the other code simple.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyNavigator (Browser browser)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Collection<WebElement>` | `allElements()`
    `Navigator` | `children()`
    `Navigator` | `children(Map<String, Object> attributes)`
    `Navigator` | `children(Map<String, Object> attributes = [:], String selector)`
    `List<String>` | `classes()`
    `Navigator` | `click()`
    `Navigator` | `click(Class<? extends Page> pageClass, Wait wait = null)`
    `Navigator` | `click(Page pageInstance, Wait wait = null)`
    `Navigator` | `click(List potentialPages, Wait wait = null)`
    `Navigator` | `closest(Map<String, Object> attributes)`
    `Navigator` | `closest(Map<String, Object> attributes = [:], String selector)`
    `boolean` | `equals(Object obj)`
    `Navigator` | `filter(String selector)`
    `Navigator` | `filter(Map<String, Object> predicates)`
    `Navigator` | `first()`
    `Navigator` | `getAt(int index)`
    `Navigator` | `getAt(Range range)`
    `Navigator` | `getAt(Collection indexes)`
    `String` | `getAttribute(String name)`
    `WebElement` | `getElement(int index)`
    `List<WebElement>` | `getElements(Range range)`
    `List<WebElement>` | `getElements(Collection indexes)`
    `boolean` | `hasClass(String valueToContain)`
    `int` | `hashCode()`
    `Navigator` | `head()`
    `boolean` | `is(String tag)`
    `boolean` | `isDisplayed()`
    `boolean` | `isEmpty()`
    `boolean` | `isFocused()`
    `Navigator` | `last()`
    `Navigator` | `leftShift(def value)`
    `def` | `methodMissing(String name, def arguments)`
    `Navigator` | `next()`
    `Navigator` | `next(Map<String, Object> attributes)`
    `Navigator` | `next(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `nextAll()`
    `Navigator` | `nextAll(Map<String, Object> attributes)`
    `Navigator` | `nextAll(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `nextUntil(Map<String, Object> attributes)`
    `Navigator` | `nextUntil(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `not(String selector)`
    `Navigator` | `not(Map<String, Object> predicates, String selector)`
    `Navigator` | `not(Map<String, Object> predicates)`
    `Navigator` | `parent()`
    `Navigator` | `parent(Map<String, Object> attributes)`
    `Navigator` | `parent(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `parents()`
    `Navigator` | `parents(Map<String, Object> attributes)`
    `Navigator` | `parents(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `parentsUntil(Map<String, Object> attributes)`
    `Navigator` | `parentsUntil(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `prevAll()`
    `Navigator` | `prevAll(Map<String, Object> attributes)`
    `Navigator` | `prevAll(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `prevUntil(Map<String, Object> attributes)`
    `Navigator` | `prevUntil(Map<String, Object> attributes = [:], String selector)`
    `Navigator` | `previous()`
    `Navigator` | `previous(Map<String, Object> attributes)`
    `Navigator` | `previous(Map<String, Object> attributes = [:], String selector)`
    `def` | `propertyMissing(String name)`
    `Navigator` | `remove(int index)`
    `Navigator` | `siblings()`
    `Navigator` | `siblings(Map<String, Object> attributes)`
    `Navigator` | `siblings(Map<String, Object> attributes = [:], String selector)`
    `int` | `size()`
    `String` | `tag()`
    `Navigator` | `tail()`
    `String` | `text()`
    `String` | `toString()`
    `Navigator` | `unique()`
    `def` | `value()`
    `Navigator` | `value(def value)`
    `Navigator` | `verifyNotEmpty()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractNavigator` | `$, $, $, $, $, $, $, $, $, $, $, $, $, $, $, add, add, add, add, asBoolean, attr, css, eq, filter, find, find, find, find, find, find, find, find, find, find, find, find, find, find, find, findAll, firstElement, getElement, getElements, getElements, getHeight, getJquery, getStringRepresentation, getWidth, getX, getY, has, has, has, has, has, hasNot, hasNot, hasNot, hasNot, hasNot, iterator, lastElement, module, module, moduleList, moduleList, plus, singleElement`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### EmptyNavigator(Browser browser)

  - ### Method Detail

    - #### @Override Collection<WebElement> allElements()

    - #### @Override Navigator children()

    - #### @Override Navigator children(Map<String, Object> attributes)

    - #### @Override Navigator children(Map<String, Object> attributes = [:], String selector)

    - #### @Override List<String> classes()

    - #### @Override Navigator click()

    - #### @Override Navigator click(Class<? extends Page> pageClass, Wait wait = null)

    - #### @Override Navigator click(Page pageInstance, Wait wait = null)

    - #### @Override Navigator click(List potentialPages, Wait wait = null)

    - #### @Override Navigator closest(Map<String, Object> attributes)

    - #### @Override Navigator closest(Map<String, Object> attributes = [:], String selector)

    - #### @Override boolean equals(Object obj)

    - #### @Override Navigator filter(String selector)

    - #### @Override Navigator filter(Map<String, Object> predicates)

    - #### @Override Navigator first()

    - #### @Override Navigator getAt(int index)

    - #### @Override Navigator getAt(Range range)

    - #### @Override Navigator getAt(Collection indexes)

    - #### @Override String getAttribute(String name)

    - #### @Override WebElement getElement(int index)

    - #### @Override List<WebElement> getElements(Range range)

    - #### @Override List<WebElement> getElements(Collection indexes)

    - #### @Override boolean hasClass(String valueToContain)

    - #### @Override int hashCode()

    - #### @Override Navigator head()

    - #### @Override boolean is(String tag)

    - #### @Override boolean isDisplayed()

    - #### @Override boolean isEmpty()

    - #### @Override boolean isFocused()

    - #### @Override Navigator last()

    - #### @Override Navigator leftShift(def value)

    - #### def methodMissing(String name, def arguments)

    - #### @Override Navigator next()

    - #### @Override Navigator next(Map<String, Object> attributes)

    - #### @Override Navigator next(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator nextAll()

    - #### @Override Navigator nextAll(Map<String, Object> attributes)

    - #### @Override Navigator nextAll(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator nextUntil(Map<String, Object> attributes)

    - #### @Override Navigator nextUntil(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator not(String selector)

    - #### @Override Navigator not(Map<String, Object> predicates, String selector)

    - #### @Override Navigator not(Map<String, Object> predicates)

    - #### @Override Navigator parent()

    - #### @Override Navigator parent(Map<String, Object> attributes)

    - #### @Override Navigator parent(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator parents()

    - #### @Override Navigator parents(Map<String, Object> attributes)

    - #### @Override Navigator parents(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator parentsUntil(Map<String, Object> attributes)

    - #### @Override Navigator parentsUntil(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator prevAll()

    - #### @Override Navigator prevAll(Map<String, Object> attributes)

    - #### @Override Navigator prevAll(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator prevUntil(Map<String, Object> attributes)

    - #### @Override Navigator prevUntil(Map<String, Object> attributes = [:], String selector)

    - #### @Override Navigator previous()

    - #### @Override Navigator previous(Map<String, Object> attributes)

    - #### @Override Navigator previous(Map<String, Object> attributes = [:], String selector)

    - #### def propertyMissing(String name)

    - #### @Override Navigator remove(int index)

    - #### @Override Navigator siblings()

    - #### @Override Navigator siblings(Map<String, Object> attributes)

    - #### @Override Navigator siblings(Map<String, Object> attributes = [:], String selector)

    - #### @Override int size()

    - #### @Override String tag()

    - #### @Override Navigator tail()

    - #### @Override String text()

    - #### @Override String toString()

    - #### @Override Navigator unique()

    - #### @Override def value()

    - #### @Override Navigator value(def value)

    - #### @Override Navigator verifyNotEmpty()